
<div class="modal-header BCPO">
  <span class="modal-title CW" id="exampleModalLabel">{{modalConfig}} Permiso</span>
  <a (click)="activeModal.dismiss('Cross click')">
    <i class="pi pi-times-circle " ></i>
  </a>
</div>

<form [formGroup]="permisoForm" (ngSubmit)="onSubmit()">

  <div class="modal-body">
    <div class="row">

      <div class="col-sm-6">
        <div class="form-group">
          <label >Url</label>
          <input type="text" class="form-control" formControlName="url"  [(ngModel)]="modalData.url"   placeholder="Ingrese el url "
                 [ngClass]="{ 'efecto-validacion is-invalid': submitted && f.url.errors }"/>
          <div   *ngIf="submitted &&  f.url.errors" class="invalid-feedback">
            <div *ngIf="f.url.errors.required">url es requerido.</div>
          </div>
        </div>
      </div>

      <div class="col-sm-6" *ngIf="modalConfig === 'Editar'">
        <div class="form-group">
          <label >Estado</label>
          <select  class="form-control disableSpan" [(ngModel)]="modalData.estado" formControlName="estado"
                   [ngClass]="{ 'efecto-validacion is-invalid': submitted && f.estado.errors }">
            <option *ngFor="let value of estadoSelect" [value]="value.id">{{value.nombre}}</option>
          </select>
          <div   *ngIf="submitted &&  f.estado.errors" class="invalid-feedback">
            <div *ngIf="f.estado.errors.required">El estado es requerido.</div>
          </div>
        </div>
      </div>


    </div>
  </div>
  <div class="modal-footer">
    <button type="button" class="btn bCSC" (click)="activeModal.close('Close click')">SALIR</button>
    <button type="submit" class="btn bCPO">GUARDAR</button>
  </div>
</form>
